#ifndef _TABS_H
#define _TABS_H

/*
 * autor
 * Michal Podsiadlik
 * michal at gov.one.pl 
 */

#include <qobject.h>
#include <qtimer.h>

#include <misc.h>
#include <chat.h>
#include <kadu.h>

#include "tabwidget.h"

class QPopupMenu;

class TabsManager : public QObject 
{
	Q_OBJECT

	public:	
		TabsManager();
		~TabsManager();
	public slots:
		void onNewChat(const UinsList& senders);
		void onDestroyChat(const UinsList& senders);
		void onOpenChat(const UinsList& senders);
		void onStatusChanged(const UserListElement &, const UserStatus &oldStatus, bool onConnection);
		void onChatMsgReceived(UinsList,const QString&,time_t,bool&);
		void onTabChange(QWidget *);		
		void onApplyConfig();
		void onNewTab();
		void onPopupMenu();
		void onTabAttach();
	private:
		TabWidget* tabdialog;
		QTimer timer;
		UinsList newmsgs, newchats;
		bool no_tabs, autoswith;
		void insertTab(Chat* chat);
		void makePopupMenu();
		int menuitem;
		Chat* selectedchat;
		QMap<const QPushButton*,Chat*> TabButtonChat;
		QPopupMenu* menu;
	private slots:
		void onTimer();
		void onContextMenu(QWidget* w, const QPoint& pos);
		void onMenu(int id);
};

extern TabsManager* tabs_manager;

#endif
